Package: org.codehaus.groovy.ast

## [Java] Class DynamicVariable

- org.codehaus.groovy.ast.DynamicVariable

- All Implemented Interfaces and Traits:
    Variable

      public class DynamicVariable
      extends Object
      implements Variable

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DynamicVariable(String name, boolean context)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getInitialExpression()`
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `public ClassNode` | `getOriginType()`
    `` | `public ClassNode` | `getType()`
    `` | `public boolean` | `hasInitialExpression()`
    `` | `public boolean` | `isClosureSharedVariable()`
    `` | `public boolean` | `isDynamicTyped()`
    `` | `public boolean` | `isInStaticContext()`
    `` | `public void` | `setClosureSharedVariable(boolean inClosure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public DynamicVariable(String name, boolean context)

  - ### Method Detail

    - #### @Override
      public Expression getInitialExpression()

    - #### @Override
      public int getModifiers()

    - #### @Override
      public String getName()

    - #### @Override
      public ClassNode getOriginType()

    - #### @Override
      public ClassNode getType()

    - #### @Override
      public boolean hasInitialExpression()

    - #### @Override
      public boolean isClosureSharedVariable()

    - #### @Override
      public boolean isDynamicTyped()

    - #### @Override
      public boolean isInStaticContext()

    - #### @Override
      public void setClosureSharedVariable(boolean inClosure)